from elementsoap.ElementGoogle import *

import os, sys

# get google license key (tweak as necessary)
for path in ".", os.environ.get("HOME", "."):
    try:
        licensefile = os.path.join(path, "google.license")
        licensekey = open(licensefile).read().strip()
    except IOError:
        pass
    else:
        break
else:
    print "***", "cannot find google license key (google.license)"
    sys.exit(1)

g = GoogleService(licensekey)

if 1:
    response = g.doGoogleSearch("elementsoap", maxResults=10)
    print response.findtext("estimatedTotalResultsCount")
    for item in response.findall(".//item"):
        print item.findtext("URL"), repr(item.findtext("title"))

if 1:
    response = g.pyGoogleSearch("elementsoap", maxResults=10)
    print response

if 1:
    print g.doSpellingSuggestion("pyhton")

if 1:
    print repr(g.doGetCachedPage("online.effbot.org")[:40]), "..."
    print len(g.doGetCachedPage("online.effbot.org"))
